tigase.jaxmpp.core.client.xmpp.modules.disco

## Class DiscoveryModule.DiscoInfoAsyncCallback

- java.lang.Object
- - tigase.jaxmpp.core.client.xmpp.modules.disco.DiscoveryModule.DiscoInfoAsyncCallback

- All Implemented Interfaces:
    AsyncCallback
  Enclosing class:
    DiscoveryModule

      public abstract static class DiscoveryModule.DiscoInfoAsyncCallback
      extends Object
      implements AsyncCallback

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected Stanza` | `responseStanza`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `DiscoInfoAsyncCallback(String requestedNode)`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected abstract void` | `onInfoReceived(String node, Collection<DiscoveryModule.Identity> identities, Collection<String> features)`
    `void` | `onSuccess(Stanza responseStanza)` Called when received response has type result.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface tigase.jaxmpp.core.client.AsyncCallback

      `onError, onTimeout`

- - ### Field Detail

    - #### responseStanza

          protected Stanza responseStanza

  - ### Constructor Detail

    - #### DiscoInfoAsyncCallback

          public DiscoInfoAsyncCallback(String requestedNode)

  - ### Method Detail

    - #### onInfoReceived

          protected abstract void onInfoReceived(String node,
                                                 Collection<DiscoveryModule.Identity> identities,
                                                 Collection<String> features)
                                          throws XMLException

      Throws:
        `XMLException`

    - #### onSuccess

          public void onSuccess(Stanza responseStanza)
                         throws XMLException

      Description copied from interface: `AsyncCallback`
      Called when received response has type result.
      Specified by:
        `onSuccess` in interface `AsyncCallback`
      Parameters:
        `responseStanza` - received stanza
      Throws:
        `XMLException`

Copyright © 2006–2019 Tigase. All rights reserved.